Search Results for

Show / Hide Table of Contents

# Class TargetingData

##### Inheritance

object
TargetingData

##### Implements

IEquatable<TargetingData>

##### Inherited Members

object.Equals(object, object)
object.GetType()
object.MemberwiseClone()
object.ReferenceEquals(object, object)
object.ToString()

###### Namespace: AppstockSDK.Api

###### Assembly: Appstock.Core.dll

##### Syntax

    [Serializable]
    public class TargetingData : IEquatable<TargetingData>

### Fields

#### coordinate

Gets or sets user's base location.

##### Declaration

    [Tooltip("ORTB: user.geo.lat, user.geo.lon")]
    public SerializableOptional<Vector2> coordinate

##### Field Value

Type | Description
--- | ---
SerializableOptional<Vector2> | Location of the user’s home base.

##### Remarks

This is not necessarily their current location.

##### See Also

Coordinate

#### domain

Gets or sets app domain.

##### Declaration

    [Header("Application")]
    [Tooltip("ORTB: app.domain")]
    public string? domain

##### Field Value

Type | Description
--- | ---
string | Domain of the app (e.g., `mygame.foo.com`).

##### See Also

Domain

#### externalUserIds

Gets or sets external IDs of the user.

##### Declaration

    [Tooltip("ORTB: usr.ext.eids")]
    public List<ExternalUserID>? externalUserIds

##### Field Value

Type | Description
--- | ---
List<ExternalUserID> | External IDs of the user that could be used for ad targeting.

##### Remarks

See https://github.com/InteractiveAdvertisingBureau/openrtb/blob/main/extensions/2.x_official_extensions/eids.md

##### See Also

ExternalUserID
ExternalUserIds

#### isSubjectToCOPPA

Gets or sets if request is subject to the COPPA.

##### Declaration

    [Header("Regulations")]
    [Tooltip("ORTB: regs.coppa")]
    public OptionalBool isSubjectToCOPPA

##### Field Value

Type | Description
--- | ---
OptionalBool | `true` if this request is subject to the COPPA regulations established by the USA FTC, `false` otherwise.

##### See Also

IsSubjectToCOPPA

#### itunesID

Gets or sets iTunes ID.

##### Declaration

    [Header("Application (iOS)")]
    [Tooltip("ORTB: app.bundle")]
    public string? itunesID

##### Field Value

Type | Description
--- | ---
string | The app identifier in iTunes.

##### See Also

ItunesID

#### keywords

Gets or sets keywords.

##### Declaration

    [Tooltip("user.keywords")]
    public List<string?>? keywords

##### Field Value

Type | Description
--- | ---
List<string> | Keywords, interests, or intent.

##### See Also

Keywords
AddKeyword(string)

#### publisherName

Gets or sets publisher name.

##### Declaration

    [Tooltip("ORTB: app.publisher.name")]
    public string? publisherName

##### Field Value

Type | Description
--- | ---
string | App’s publisher name.

##### See Also

PublisherName

#### sourceApp

Gets or sets source app.

##### Declaration

    [Tooltip("ORTB: imp[].ext.skadn.sourceapp")]
    public string? sourceApp

##### Field Value

Type | Description
--- | ---
string | ID of publisher app in Apple’s App Store.

##### See Also

SourceApp

#### storeURL

Gets or sets store URL.

##### Declaration

    [Tooltip("ORTB: app.storeurl")]
    public string? storeURL

##### Field Value

Type | Description
--- | ---
string | App store URL for an installed app.

##### See Also

StoreURL

#### userCustomData

Gets or sets custom data for user.

##### Declaration

    [Header("User")]
    [Tooltip("ORTB: user.customdata")]
    public string? userCustomData

##### Field Value

Type | Description
--- | ---
string | Optional feature to pass bidder data that was set in the exchange’s cookie.

##### Remarks

The string must be in base85 cookie safe characters and be in any format.

##### See Also

UserCustomData

#### userExtJson

Gets or sets `ext` content for ORTB `user`.

##### Declaration

    [Header("User (iOS)")]
    [Tooltip("ORTB: user.ext")]
    public ExtSlot userExtJson

##### Field Value

Type | Description
--- | ---
ExtSlot | Exchange-specific extensions to OpenRTB.

##### Remarks

Should be a valid JSON object or array.

##### See Also

UserExtJson

### Methods

#### Equals(TargetingData?)

Indicates whether the current object is equal to another object of the same type.

##### Declaration

    public bool Equals(TargetingData? other)

##### Parameters

Type | Name | Description
--- | --- | ---
TargetingData | other | An object to compare with this object.

##### Returns

Type | Description
--- | ---
bool | true if the current object is equal to the `other` parameter; otherwise, false.

#### Equals(object?)

Determines whether the specified object is equal to the current object.

##### Declaration

    public override bool Equals(object? obj)

##### Parameters

Type | Name | Description
--- | --- | ---
object | obj | The object to compare with the current object.

##### Returns

Type | Description
--- | ---
bool | true if the specified object is equal to the current object; otherwise, false.

##### Overrides

object.Equals(object)

#### GetHashCode()

Serves as the default hash function.

##### Declaration

    public override int GetHashCode()

##### Returns

Type | Description
--- | ---
int | A hash code for the current object.

##### Overrides

object.GetHashCode()

#### UnequalFields(TargetingData, string[]?)

Searches for value differences between read and written data.

##### Declaration

    public IEnumerable<string> UnequalFields(TargetingData other, string[]? fieldsToIgnore = null)

##### Parameters

Type | Name | Description
--- | --- | ---
TargetingData | other | Reference data for comparing with.
string[] | fieldsToIgnore | What fields should not be returned even when values differ.

##### Returns

Type | Description
--- | ---
IEnumerable<string> | Field (property) names. Occasionally with additional info.

### Implements

IEquatable<T>